| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Protected Attributes | List of all members
cv::GArg Class Reference

`#include <opencv2/gapi/garg.hpp>`

Collaboration diagram for cv::GArg:

## Public Member Functions
| GArg ()
template<typename T , typename std::enable_if<!detail::is_garg< T >::value, int >::type = 0>
| GArg (const T &t)
template<typename T , typename std::enable_if<!detail::is_garg< T >::value, int >::type = 0>
| GArg (T &&t)
template<typename T >
T & | get ()
template<typename T >
const T & | get () const
template<typename T >
T & | unsafe_get ()
template<typename T >
const T & | unsafe_get () const

## Public Attributes
detail::ArgKind | kind = detail::ArgKind::OPAQUE_VAL
detail::OpaqueKind | opaque_kind = detail::OpaqueKind::CV_UNKNOWN

## Protected Attributes
util::any | value

## Constructor & Destructor Documentation

## ◆ GArg() [1/3]

cv::GArg::GArg | ( |  | ) |
| inline

## ◆ GArg() [2/3]

template<typename T , typename std::enable_if<!detail::is_garg< T >::value, int >::type = 0>

cv::GArg::GArg | ( | const T & | t | ) |
| inline explicit

## ◆ GArg() [3/3]

template<typename T , typename std::enable_if<!detail::is_garg< T >::value, int >::type = 0>

cv::GArg::GArg | ( | T && | t | ) |
| inline explicit

## Member Function Documentation

## ◆ get() [1/2]

template<typename T >

T & cv::GArg::get | ( |  | ) |
| inline

## ◆ get() [2/2]

template<typename T >

const T & cv::GArg::get | ( |  | ) | const
| inline

## ◆ unsafe_get() [1/2]

template<typename T >

T & cv::GArg::unsafe_get | ( |  | ) |
| inline

## ◆ unsafe_get() [2/2]

template<typename T >

const T & cv::GArg::unsafe_get | ( |  | ) | const
| inline

## Member Data Documentation

## ◆ kind

detail::ArgKind cv::GArg::kind = detail::ArgKind::OPAQUE_VAL

## ◆ opaque_kind

detail::OpaqueKind cv::GArg::opaque_kind = detail::OpaqueKind::CV_UNKNOWN

## ◆ value

util::any cv::GArg::value
| protected

The documentation for this class was generated from the following file:

- opencv2/gapi/garg.hpp